%define oname   ncursesw

Name:       ruby-%{oname}
Version:    1.2.4.3
Release:    %mkrel 6
Summary:    Provides access to the functions of the ncurses library
License:    LGPLv2+
Group:      Development/Ruby
URL:        http://ncurses-ruby.berlios.de/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:     ncursesw-1.2.4.3-fix-require-in-examples.patch
Patch1:     ncursesw-1.2.4.3-fix-str-fmt.patch
Patch2:     ncursesw-1.2.4.3-sections.patch
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: ncursesw-devel
BuildRequires: ncurses-devel

%description
Hacked up version of ncurses gem that supports wide characters and
ruby1.9.2. Original ncurses gem by t-peters@users.berlios.de.

%files
%doc README THANKS TODO Changes examples/
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_sitelibdir}/%{oname}.rb
%{ruby_sitearchdir}/*.so

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}
BuildArch:  noarch

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
%patch0 -p1
%patch1 -p0
gunzip metadata.gz
%patch2 -p0 -b .orig
gzip metadata

%build
%gem_build

%install
%gem_install

chmod -x examples/*


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 1.2.4.3-6.mga3
+ Revision: 396198
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.2.4.3-5.mga3
+ Revision: 381129
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 1.2.4.3-4.mga3
+ Revision: 313451
- add authors
- fix missing sections
- fix str fmt
- add back ncurses-devel
- rebuild for new ruby

* Tue Mar 22 2011 shikamaru <shikamaru> 1.2.4.3-3.mga1
+ Revision: 75714
- fix license
- buildarch should be noarch for doc

* Tue Mar 22 2011 shikamaru <shikamaru> 1.2.4.3-2.mga1
+ Revision: 75704
- Fix require in examples

* Tue Mar 22 2011 shikamaru <shikamaru> 1.2.4.3-1.mga1
+ Revision: 75628
- imported package ruby-ncursesw

